## LassoIdWsf2Sb2CredentialsContext LassoIdWsf2Sb2CredentialsContext — <sb2:CredentialsContext> |

## Functions

LassoIdWsf2Sb2CredentialsContext * | lasso_idwsf2_sb2_credentials_context_new ()

## Types and Values

struct | LassoIdWsf2Sb2CredentialsContext

## Description

Figure 233. Schema fragment for sb2:CredentialsContext

    <xs:complexType name="CredentialsContextType">
      <xs:sequence>
        <xs:element ref="samlp:RequestedAuthnContext" minOccurs="0"/>
        <xs:element name="SecurityMechID" type="xs:anyURI" minOccurs="0" maxOccurs="unbounded"/>
      </xs:sequence>
      <xs:anyAttribute namespace="##other" processContents="lax"/>
    </xs:complexType>

## Functions

### lasso_idwsf2_sb2_credentials_context_new ()

    LassoIdWsf2Sb2CredentialsContext *
    lasso_idwsf2_sb2_credentials_context_new
                                   (void);

Creates a new LassoIdWsf2Sb2CredentialsContext object.

#### Returns

a newly created LassoIdWsf2Sb2CredentialsContext object

## Types and Values

### struct LassoIdWsf2Sb2CredentialsContext

    struct LassoIdWsf2Sb2CredentialsContext {
    	LassoNode parent;

    	/* elements */
    	LassoSamlp2RequestedAuthnContext *RequestedAuthnContext;
    	GList *SecurityMechID; /* of strings */
    	/* attributes */
    	GHashTable *attributes;
    };